// This file is part of VKF, a CPython library
// for Machine Learning based on Lattice Theory.
//
// Copyright (c) 2020 Dmitry V. Vinogradov
//
// This Source Code Form is subject to the terms of the X11 (MIT)
// License. If a copy of the X11 License was not distributed
// with this file, You can obtain one at https://opensource.org/licenses/MIT/.

#ifndef VKF_PARENTS_HPP
#define VKF_PARENTS_HPP

#include <boost/config.hpp> // for BOOST_SYMBOL_EXPORT
#include <boost/dynamic_bitset.hpp>

namespace vkf {
    class BOOST_SYMBOL_EXPORT Parents: public boost::dynamic_bitset<boost::dynamic_bitset<>::block_type> { };

    typedef std::unique_ptr<Parents> ParentsPtr;

} // namespace vkf

#endif // VKF_PARENTS_HPP
